from django.urls import path

from . import views
from . import autocomplete as autocomplete_views

app_name = 'jobs'
urlpatterns = [
    path('', views.Index.as_view(), name='index'),
    path('jobs/create/', views.JobCreate.as_view(), name='create'),
    path('jobs/', views.JobList.as_view(), name='list'),
]


# autocomplete endpoints
urlpatterns += [
    path(
        'tag-autocomplete/',
        autocomplete_views.TagAutocomplete.as_view(create_field='name'),
        name='tag-autocomplete',
    ),
]